com.smartgwt.client.data

## Class Hilite

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.data.Hilite

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class Hilite
      extends RefDataClass

  An object representing a user-created and user-modifiable hilite, which can be created and edited with a `HiliteEditor` either directly or via the `ListGrid.canEditHilites` behavior.

  See `Hiliting` for an overview.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties, readOnly`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hilite()`
    `Hilite(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBackgroundColor()` When edited via a `HiliteEditor`, the value for the background color of this hilite.
    `java.lang.Boolean` | `getCanEdit()` Can highlight be edited from header context menu? Setting attribute to `false` prevents editing.
    `Criteria` | `getCriteria()` Criteria defining what records this hilite should apply to.
    `java.lang.String` | `getCssText()` CSS text to be applied to cells where this hilite is applied, for example, "background-color:#FF0000"
    `java.lang.Boolean` | `getDisabled()` Whether this hilite is currently disabled.
    `java.lang.String` | `getFieldName()` Name of the field, or array of fieldNames, this hilite should be applied to.
    `java.lang.String` | `getHtmlAfter()` HTML to append to the end of cell values where this hilite is applied.
    `java.lang.String` | `getHtmlBefore()` HTML to pre-pend to cell values where this hilite is applied.
    `java.lang.String` | `getHtmlValue()` Deprecated. `htmlValue` is deprecated in favor of `replacementValue`. Note that unlike `replacementValue`, this property does not respect `disabled`, and will be applied even if `disabled` is set to `true`
    `java.lang.String` | `getIcon()` URL of an icon to show when this hilite is applied to a cell.
    `java.lang.String` | `getId()` Unique id for this hilite definition.
    `static Hilite` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getReplacementValue()` HTML which replaces the cell's textual value where this hilite is applied.
    `java.lang.String` | `getTextColor()` When edited via a `HiliteEditor`, the value for the foreground color of this hilite.
    `java.lang.String` | `getTitle()` User-visible title for this hilite.
    `void` | `setBackgroundColor(java.lang.String backgroundColor)` When edited via a `HiliteEditor`, the value for the background color of this hilite.
    `void` | `setCanEdit(java.lang.Boolean canEdit)` Can highlight be edited from header context menu? Setting attribute to `false` prevents editing.
    `void` | `setCriteria(Criteria criteria)` Criteria defining what records this hilite should apply to.
    `void` | `setCssText(java.lang.String cssText)` CSS text to be applied to cells where this hilite is applied, for example, "background-color:#FF0000"
    `void` | `setDisabled(java.lang.Boolean disabled)` Whether this hilite is currently disabled.
    `void` | `setFieldName(java.lang.String fieldName)` Name of the field, or array of fieldNames, this hilite should be applied to.
    `void` | `setFieldNames(java.lang.String... fieldNames)` Name of the fields that hilite should be applied to.
    `void` | `setHtmlAfter(java.lang.String htmlAfter)` HTML to append to the end of cell values where this hilite is applied.
    `void` | `setHtmlBefore(java.lang.String htmlBefore)` HTML to pre-pend to cell values where this hilite is applied.
    `void` | `setHtmlValue(java.lang.String htmlValue)` Deprecated. `htmlValue` is deprecated in favor of `replacementValue`. Note that unlike `replacementValue`, this property does not respect `disabled`, and will be applied even if `disabled` is set to `true`
    `void` | `setIcon(java.lang.String icon)` URL of an icon to show when this hilite is applied to a cell.
    `void` | `setId(java.lang.String id)` Unique id for this hilite definition.
    `void` | `setReplacementValue(java.lang.String replacementValue)` HTML which replaces the cell's textual value where this hilite is applied.
    `void` | `setTextColor(java.lang.String textColor)` When edited via a `HiliteEditor`, the value for the foreground color of this hilite.
    `void` | `setTitle(java.lang.String title)` User-visible title for this hilite.

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getReadOnly, isFactoryCreated, logConfiguration, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated, setReadOnly`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hilite

          public Hilite()

    - #### Hilite

          public Hilite(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static Hilite getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setBackgroundColor

          public void setBackgroundColor(java.lang.String backgroundColor)

      When edited via a `HiliteEditor`, the value for the background color of this hilite. If this is omitted, it will be automatically derived from the backgroundColor attribute of `cssText`. When a hilite is saved in a HiliteEditor, both attributes are set automatically.
      Parameters:
        `backgroundColor` - Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getBackgroundColor

          public java.lang.String getBackgroundColor()

      When edited via a `HiliteEditor`, the value for the background color of this hilite. If this is omitted, it will be automatically derived from the backgroundColor attribute of `cssText`. When a hilite is saved in a HiliteEditor, both attributes are set automatically.
      Returns:
        String
      See Also:
        `Hiliting overview and related methods`

    - #### setCanEdit

          public void setCanEdit(java.lang.Boolean canEdit)

      Can highlight be edited from header context menu? Setting attribute to `false` prevents editing. A `null` or `true` value allows editing.
      Parameters:
        `canEdit` - Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getCanEdit

          public java.lang.Boolean getCanEdit()

      Can highlight be edited from header context menu? Setting attribute to `false` prevents editing. A `null` or `true` value allows editing.
      Returns:
        Boolean
      See Also:
        `Hiliting overview and related methods`

    - #### setCssText

          public void setCssText(java.lang.String cssText)

      CSS text to be applied to cells where this hilite is applied, for example, "background-color:#FF0000"
      Parameters:
        `cssText` - See `CSSText` . Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getCssText

          public java.lang.String getCssText()

      CSS text to be applied to cells where this hilite is applied, for example, "background-color:#FF0000"
      Returns:
        See `CSSText`
      See Also:
        `Hiliting overview and related methods`

    - #### setDisabled

          public void setDisabled(java.lang.Boolean disabled)

      Whether this hilite is currently disabled.

      Hilites can be programmatically enabled and disabled via `DataBoundComponent.enableHilite()`.

      Parameters:
        `disabled` - Default value is false
      See Also:
        `Hiliting overview and related methods`

    - #### getDisabled

          public java.lang.Boolean getDisabled()

      Whether this hilite is currently disabled.

      Hilites can be programmatically enabled and disabled via `DataBoundComponent.enableHilite()`.

      Returns:
        Boolean
      See Also:
        `Hiliting overview and related methods`

    - #### setFieldName

          public void setFieldName(java.lang.String fieldName)

      Name of the field, or array of fieldNames, this hilite should be applied to.

      If unset, hilite is applied to every field of the record.

      Parameters:
        `fieldName` - Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getFieldName

          public java.lang.String getFieldName()

      Name of the field, or array of fieldNames, this hilite should be applied to.

      If unset, hilite is applied to every field of the record.

      Returns:
        String
      See Also:
        `Hiliting overview and related methods`

    - #### setHtmlAfter

          public void setHtmlAfter(java.lang.String htmlAfter)

      HTML to append to the end of cell values where this hilite is applied.
      Parameters:
        `htmlAfter` - Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getHtmlAfter

          public java.lang.String getHtmlAfter()

      HTML to append to the end of cell values where this hilite is applied.
      Returns:
        String
      See Also:
        `Hiliting overview and related methods`

    - #### setHtmlBefore

          public void setHtmlBefore(java.lang.String htmlBefore)

      HTML to pre-pend to cell values where this hilite is applied.
      Parameters:
        `htmlBefore` - Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getHtmlBefore

          public java.lang.String getHtmlBefore()

      HTML to pre-pend to cell values where this hilite is applied.
      Returns:
        String
      See Also:
        `Hiliting overview and related methods`

    - #### setHtmlValue

          public void setHtmlValue(java.lang.String htmlValue)

      Deprecated. `htmlValue` is deprecated in favor of `replacementValue`. Note that unlike `replacementValue`, this property does not respect `disabled`, and will be applied even if `disabled` is set to `true`
      Value to show in place of the actual value from the record, for a record that matches this hilite.

      This can be used to take ranges of numeric values and simplify them to "Low", "Medium", "High" or similar textual values, translate very small or very large values to "Outlier" or "Negligible", and similar use cases.

      Parameters:
        `htmlValue` - Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getHtmlValue

          public java.lang.String getHtmlValue()

      Deprecated. `htmlValue` is deprecated in favor of `replacementValue`. Note that unlike `replacementValue`, this property does not respect `disabled`, and will be applied even if `disabled` is set to `true`
      Value to show in place of the actual value from the record, for a record that matches this hilite.

      This can be used to take ranges of numeric values and simplify them to "Low", "Medium", "High" or similar textual values, translate very small or very large values to "Outlier" or "Negligible", and similar use cases.

      Returns:
        String
      See Also:
        `Hiliting overview and related methods`

    - #### setIcon

          public void setIcon(java.lang.String icon)

      URL of an icon to show when this hilite is applied to a cell. Position of the icon is controlled by `DataBoundComponent.hiliteIconPosition` or `ListGridField.hiliteIconPosition`.
      Parameters:
        `icon` - See `SCImgURL` . Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getIcon

          public java.lang.String getIcon()

      URL of an icon to show when this hilite is applied to a cell. Position of the icon is controlled by `DataBoundComponent.hiliteIconPosition` or `ListGridField.hiliteIconPosition`.
      Returns:
        See `SCImgURL`
      See Also:
        `Hiliting overview and related methods`

    - #### setId

          public void setId(java.lang.String id)

      Unique id for this hilite definition.

      For hilites that include `criteria` this is not required.

      If you are explicitly marking records for hiliting, set `DataBoundComponent.hiliteProperty` on the record to this id.

      Parameters:
        `id` - Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getId

          public java.lang.String getId()

      Unique id for this hilite definition.

      For hilites that include `criteria` this is not required.

      If you are explicitly marking records for hiliting, set `DataBoundComponent.hiliteProperty` on the record to this id.

      Returns:
        String
      See Also:
        `Hiliting overview and related methods`

    - #### setReplacementValue

          public void setReplacementValue(java.lang.String replacementValue)

      HTML which replaces the cell's textual value where this hilite is applied.

      Note that sorting, filtering, etc behavior will still operate on the underlying value. For example, if there is a date field with the FilterEditor enabled, the default search interface will still offer date-range based filtering even if hilites have caused values to be displayed as text such as "current" or "past due".

      Parameters:
        `replacementValue` - Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getReplacementValue

          public java.lang.String getReplacementValue()

      HTML which replaces the cell's textual value where this hilite is applied.

      Note that sorting, filtering, etc behavior will still operate on the underlying value. For example, if there is a date field with the FilterEditor enabled, the default search interface will still offer date-range based filtering even if hilites have caused values to be displayed as text such as "current" or "past due".

      Returns:
        String
      See Also:
        `Hiliting overview and related methods`

    - #### setTextColor

          public void setTextColor(java.lang.String textColor)

      When edited via a `HiliteEditor`, the value for the foreground color of this hilite. If this is omitted, it will be automatically derived from the textColor attribute of `cssText`. When a hilite is saved in a HiliteEditor, both attributes are set automatically.
      Parameters:
        `textColor` - Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getTextColor

          public java.lang.String getTextColor()

      When edited via a `HiliteEditor`, the value for the foreground color of this hilite. If this is omitted, it will be automatically derived from the textColor attribute of `cssText`. When a hilite is saved in a HiliteEditor, both attributes are set automatically.
      Returns:
        String
      See Also:
        `Hiliting overview and related methods`

    - #### setTitle

          public void setTitle(java.lang.String title)

      User-visible title for this hilite. Used for interfaces such as menus that can enable or disable hilites.
      Parameters:
        `title` - Default value is null
      See Also:
        `Hiliting overview and related methods`

    - #### getTitle

          public java.lang.String getTitle()

      User-visible title for this hilite. Used for interfaces such as menus that can enable or disable hilites.
      Returns:
        String
      See Also:
        `Hiliting overview and related methods`

    - #### setFieldNames

          public void setFieldNames(java.lang.String... fieldNames)

      Name of the fields that hilite should be applied to.

      If unset, hilite is applied to every field of the record.

      Parameters:
        `fieldNames` - fieldNames Default value is null

    - #### setCriteria

          public void setCriteria(Criteria criteria)

      Criteria defining what records this hilite should apply to.
      Parameters:
        `criteria` - criteria Default value is null

    - #### getCriteria

          public Criteria getCriteria()

      Criteria defining what records this hilite should apply to.
      Returns:
        Criteria